## org.omg.CORBA
Class LocalInterfaceDefSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.LocalInterfaceDefSeqHelper

public class LocalInterfaceDefSeqHelper
extends java.lang.Object

Helper class for : LocalInterfaceDefSeq

Author:
  OpenORB Compiler

Constructor Summary
`LocalInterfaceDefSeqHelper()`

Method Summary
`static LocalInterfaceDef[]` `extract(Any a)` Extract LocalInterfaceDefSeq from an any
`static java.lang.String` `id()` Return the LocalInterfaceDefSeq IDL ID
`static void` `insert(Any a, LocalInterfaceDef[] t)` Insert LocalInterfaceDefSeq into an any
`static LocalInterfaceDef[]` `read(InputStream istream)` Read LocalInterfaceDefSeq from a marshalled stream
`static TypeCode` `type()` Return the LocalInterfaceDefSeq TypeCode
`static void` `write(OutputStream ostream, LocalInterfaceDef[] value)` Write LocalInterfaceDefSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalInterfaceDefSeqHelper

    public LocalInterfaceDefSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              LocalInterfaceDef[] t)

  Insert LocalInterfaceDefSeq into an any
  Parameters:
    `a` - an any
    `t` - LocalInterfaceDefSeq value

### extract

    public static LocalInterfaceDef[] extract(Any a)

  Extract LocalInterfaceDefSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted LocalInterfaceDefSeq value

### type

    public static TypeCode type()

  Return the LocalInterfaceDefSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the LocalInterfaceDefSeq IDL ID
  Returns:
    an ID

### read

    public static LocalInterfaceDef[] read(InputStream istream)

  Read LocalInterfaceDefSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed LocalInterfaceDefSeq value

### write

    public static void write(OutputStream ostream,
                             LocalInterfaceDef[] value)

  Write LocalInterfaceDefSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - LocalInterfaceDefSeq value